Bug 97156 - Enable ldap samdb in samba 2.2.x (--with-ldapsam)
Enable ldap samdb in samba 2.2.x (--with-ldapsam)
Status: CLOSED NEXTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: samba (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jay Fenlason
David Lawrence
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-06-10 18:25 EDT by Oliver Schulze L.
Modified: 2014-08-31 19:25 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-06-22 15:42:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Oliver Schulze L. 2003-06-10 18:25:23 EDT
Description of problem:
It would be nice if samba in RH9 is compiled with ldap backend using the
--with-ldapsam
option in configure.sh

Version-Release number of selected component (if applicable):
samba 2.2.7a-7.9.0

Additional info:
The current samba package already include ldap util in:
/usr/share/doc/samba-2.2.7a/LDAP/smbldap-tools/
but samba is not compiled with ldap sambdb support.

More info on samba+ldap:
http://us1.samba.org/samba/docs/man/Samba-HOWTO-Collection.html#SAMBA-LDAP-HOWTO
Comment 1 Andrew Bartlett 2003-06-21 23:53:50 EDT
This would require the creation of a new package, as in Samba 2.2 you cannot
have both smbpasswd and LDAP support in the same binary.

This is fixed in Samba 3.0, which has a pluggable passdb backend system.
Comment 2 Oliver Schulze L. 2003-06-22 15:42:19 EDT
Thannks, I understand now.
Clossing as NEXTRELEASE.

Note You need to log in before you can comment on or make changes to this bug.